---
title: "Share contact with other users"
url: "https://docs.signnow.com/docs/users/operations/put-v2-crm-contact_id-users"
type: "endpoint"
section: "users"
slug: "users/operations/put-v2-crm-contact_id-users"
method: "PUT"
path: "/v2/crm/contacts/{contact_id}/users"
operation_id: "put-v2-crm-contact_id-users"
authorization: "bearer"
---

# Share contact with other users

`PUT /v2/crm/contacts/{contact_id}/users`

Allows API users to share the CRM contacts.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `contact_id` | string | Yes | ID of the CRM contact. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "data"
  ],
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "email",
          "permission"
        ],
        "properties": {
          "email": {
            "type": "string",
            "description": "Email address of the CRM contact that will be shared."
          },
          "permission": {
            "type": "string",
            "description": "Must be `view_only`."
          }
        }
      },
      "description": "The object that holds contact items to be shared. Maximum 100 items."
    }
  },
  "x-examples": {
    "Example 1": {
      "data": [
        {
          "email": "share_to_1@mail.com",
          "permission": "view_only"
        },
        {
          "email": "share_to_2@mail.com",
          "permission": "view_only"
        }
      ]
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "email": "share_to_1@mail.com",
      "permission": "view_only"
    },
    {
      "email": "share_to_2@mail.com",
      "permission": "view_only"
    }
  ]
}
```

## Responses

### 200

	
Contacts have been shared successfully.

**Example** (`Contacts have been shared successfully.`)

```json
{
  "data": [
    {
      "id": "12XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "item": 0,
      "email": "share_to_1@emaildomain.com",
      "permission": "view_only"
    },
    {
      "id": "22XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "item": 1,
      "email": "share_to_2@emaildomain.com",
      "permission": "view_only"
    }
  ]
}
```

### 400

* Request with any of cases: invalid token, expired token, empty header, authorization = null, authorization without value
* Request with invalid body parameters, see examples


**Example** (`Invalid email`)

```json
{
  "errors": {
    "code": 27400087,
    "item": 0,
    "message": "Invalid email"
  }
}
```

**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

**Example** (`The `data` field is required`)

```json
{
  "errors": {
    "code": 27400909,
    "item": 0,
    "message": "The `data` field is required"
  }
}
```

**Example** (`The `email` field is required`)

```json
{
  "errors": {
    "code": 27400086,
    "item": 0,
    "message": "The `email` field is required"
  }
}
```

**Example** (`The `permission` field is required`)

```json
{
  "errors": {
    "code": 27400089,
    "item": 0,
    "message": "The `permission` field is required"
  }
}
```

**Example** (`Duplicated emails in the `data` field`)

```json
{
  "errors": {
    "code": 27400912,
    "item": 0,
    "message": "There are duplicated emails in the `data` field: {duplicated@emaildomain.com}"
  }
}
```

**Example** (`The `permission` value should be "view_only"`)

```json
{
  "errors": {
    "code": 27400088,
    "item": 0,
    "message": "The `permission` value should be \"view_only\""
  }
}
```

**Example** (`The `data` field size must not be more than 100 items`)

```json
{
  "errors": {
    "code": 27400911,
    "item": 0,
    "message": "The `data` field size must not be more than 100 items"
  }
}
```

### 422

* Unable to share contact to yourself
* Unable to share contact to itself

**Example** (`Unable to share contact to itself`)

```json
{
  "code": 27422016,
  "message": "Unable to share contact to itself"
}
```

**Example** (`Unable to share contact to yourself`)

```json
{
  "code": 27422007,
  "message": "Unable to share contact to yourself"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/crm/contacts/{contact_id}/users" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"data": [{"email": "share_to_1@mail.com", "permission": "view_only"}, {"email": "share_to_2@mail.com", "permission": "view_only"}]}'
```

---
*Full reference: https://docs.signnow.com/docs/users/operations/put-v2-crm-contact_id-users*
